package com.hc.business.service;

import com.hc.business.model.FloatWindow;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;

/**
 * 飘窗表(FloatWindow)表服务接口
 *
 * @author makejava
 * @since 2023-04-13 08:38:33
 */

@Component
public interface FloatWindowService {

    /**
     * 通过ID查询单条数据
     *
     * @param floatId 主键
     * @return 实例对象
     */
    FloatWindow queryById(Integer floatId);

    /**
     * 新增数据
     *
     * @param floatWindow 实例对象
     * @return 实例对象
     */
    FloatWindow insert(FloatWindow floatWindow);

    /**
     * 修改数据
     *
     * @param floatWindow 实例对象
     * @return 实例对象
     */
    FloatWindow update(FloatWindow floatWindow);

    /**
     * 通过主键删除数据
     *
     * @param floatId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer floatId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
